Bug 115201 - [UPDATE]: archivers/libzip Update to new release, 0.8
Summary: [UPDATE]: archivers/libzip Update to new release, 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-04 23:30 UTC by Maxim Samsonov
Modified: 2007-09-18 13:10 UTC (History)
0 users

See Also:


Attachments
libzip.diff (2.86 KB, patch)
2007-08-04 23:30 UTC, Maxim Samsonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Samsonov 2007-08-04 23:30:04 UTC
Update libzip to new release, 0.8
Comment 1 Edwin Groothuis freebsd_committer 2007-08-04 23:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Alexander Zhuravlev 2007-08-12 10:54:23 UTC
Looks good.

But I have one question regarding new files/patch-src_zipmerge.c file.
Is the patch really necessary? Maxim, does it resolve some bug in the
libzip code? If yes, have you tried to notify the project owner about
it?

Thank you.
Comment 3 Thomas Abthorpe freebsd_committer 2007-09-17 15:15:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 4 Thomas Abthorpe freebsd_committer 2007-09-17 15:46:40 UTC
Hi Alexander

If you would like, we can declare a submitter timeout on this patch. That said 
would you like to remove files/patch-src_zipmerge.c or keep it in?


Thomas

-- 
Thomas Abthorpe		| FreeBSD Ports Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
Comment 5 Alexander Zhuravlev 2007-09-17 16:16:43 UTC
On Mon, Sep 17, 2007 at 10:46:40AM -0400, Thomas Abthorpe wrote:
> Hi Alexander
> 
> If you would like, we can declare a submitter timeout on this patch. That said 
> would you like to remove files/patch-src_zipmerge.c or keep it in?

Taking into account that we did not get clarification why original
submitter applied the patch to zipmerge.c file I guess we can omit it from the update patch.

Thank you.
Comment 6 dfilter service freebsd_committer 2007-09-18 13:04:34 UTC
tabthorpe    2007-09-18 12:04:29 UTC

  FreeBSD ports repository

  Modified files:
    archivers/libzip     Makefile distinfo 
    archivers/libzip/files patch-man_Makefile.in 
  Log:
  - update to 0.8
  
  PR:             ports/115201
  Submitted by:   Maxim Samsonov <xors_AT_mne.ru>
  Approved by:    Alexander Zhuravlev (maintainer), clsung (mentor)
  
  Revision  Changes    Path
  1.3       +6 -2      ports/archivers/libzip/Makefile
  1.3       +3 -3      ports/archivers/libzip/distinfo
  1.2       +6 -6      ports/archivers/libzip/files/patch-man_Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Thomas Abthorpe freebsd_committer 2007-09-18 13:05:01 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!